## com.imcode.imcms.api
Class ContentLoop

    java.lang.Object
      com.imcode.imcms.api.ContentLoop

All Implemented Interfaces:
  java.lang.Cloneable

    public class ContentLoop

extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`static int` `STEP` Loop step.

Constructor Summary
`ContentLoop()`

Method Summary
`ContentLoop` `clone()`
`java.lang.Integer` `getBaseIndex()`
`java.util.List<Content>` `getContents()`
`java.lang.Long` `getId()`
`java.lang.Integer` `getIndex()`
`java.lang.Integer` `getMetaId()`
`java.lang.Integer` `getNo()` Deprecated.
`void` `setBaseIndex(java.lang.Integer baseIndex)`
`void` `setContents(java.util.List<Content> loops)`
`void` `setId(java.lang.Long id)`
`void` `setIndex(java.lang.Integer index)`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setNo(java.lang.Integer no)` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STEP

    public static final int STEP

  Loop step.

  See Also:
    Constant Field Values

Constructor Detail

### ContentLoop

    public ContentLoop()

Method Detail

### clone

    public ContentLoop clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getBaseIndex

    public java.lang.Integer getBaseIndex()

### setBaseIndex

    public void setBaseIndex(java.lang.Integer baseIndex)

### getNo

    @Deprecated
    public java.lang.Integer getNo()

  Deprecated.

### setNo

    @Deprecated
    public void setNo(java.lang.Integer no)

  Deprecated.

### getIndex

    public java.lang.Integer getIndex()

### setIndex

    public void setIndex(java.lang.Integer index)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### getContents

    public java.util.List<Content> getContents()

### setContents

    public void setContents(java.util.List<Content> loops)